using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 人员输入参数
/// </summary>
public class AddPersonInput
{
    /// <summary>
    /// 姓名
    /// </summary>
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 曾用名
    /// </summary>
    [StringLength(100)]
    public string FormerName { get; set; }
    /// <summary>
    /// 证件类型
    /// </summary>
    [Required]
    public CertificateType CertificateType { get; set; } = CertificateType.NONE;
    /// <summary>
    /// 证件号码
    /// </summary>
    [StringLength(50)]
    public string IdNumber { get; set; } = "";
    /// <summary>
    /// 出生日期
    /// </summary>
    public DateTime? BirthDate { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    [Required]
    public Gender Gender { get; set; } = Gender.UNKNOWN;
    /// <summary>
    /// 手机号码
    /// </summary>
    [StringLength(50)]
    public string Mobile { get; set; } = "";
    /// <summary>
    /// 电子邮箱
    /// </summary>
    [StringLength(200)]
    public string Email { get; set; } = "";
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; } = "";
}
